<?php

if ( ! function_exists( 'authority_robot_deactive_process' ) ) :

    /**
     * Deactive Process
     *
     * */
    function authority_robot_deactive_process() {
        authority_robot_drop_table();
    }

    /**
     * Delete plugin table
     */
    function authority_robot_drop_table() {
        global $wpdb;
        $query = 'DROP TABLE IF EXISTS ' . AUTHORITY_ROBOT_TABLE . ';';
        $wpdb->query($query);
    }


endif;

if ( ! function_exists( 'authority_robot_active_process' ) ) :

    /**
     * Plugin active process
     * */
    function authority_robot_active_process() {

        authority_robot_deactive_process();
        authority_robot_set_default_options();
        authority_robot_create_table();
    }

    /**
     * Set default option of plugin
     * */
    function authority_robot_set_default_options() {

    }

    /**
     * Create Table plugin table
     */
    function authority_robot_create_table() {
        global $wpdb;

        $creation_query =
            'CREATE TABLE IF NOT EXISTS ' . AUTHORITY_ROBOT_TABLE . ' (
			`id` int(20) NOT NULL AUTO_INCREMENT,
			`content` LONGTEXT NOT NULL,
			PRIMARY KEY (`id`)
			);';

        $wpdb->query( $creation_query );
    }

endif;